package mildo.wiwo.parser;

import org.eclipse.mylyn.wikitext.mediawiki.core.MediaWikiLanguage;

import com.webobjects.appserver.WOContext;
import com.webobjects.foundation.NSMutableDictionary;

public class WiwoMediaWikiLang 
	extends MediaWikiLanguage
{

	public WiwoMediaWikiLang(WOContext aContext) {
		context = aContext;
	}
	
	private WOContext context;
	
	public String toInternalHref(String pageName) {
		NSMutableDictionary theDict = new NSMutableDictionary();
		theDict.put("pageName", pageName);
		String theUrl = context.directActionURLForActionNamed("showWiwoPage", theDict);
		String ret = theUrl;
		return ret;
	}
	
}
